Update Sms
curl --request PATCH \
--url https://api.example.com/v2/sms-threads/messages/{sms_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'import requests
url = "https://api.example.com/v2/sms-threads/messages/{sms_id}"
payload = { "body": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>')})
};
fetch('https://api.example.com/v2/sms-threads/messages/{sms_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"sms_thread_id": "<string>",
"body": "<string>",
"classifications": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"action_recommendation": "<string>",
"agent_confidence_score": 123,
"agent_metrics": {
"confidence_reason": "<string>",
"confidence_score": 123,
"error_code": "duplicate",
"uncertainties": [
"<string>"
]
},
"classification": "payment_inquiry",
"evidence": {},
"is_action_required": true,
"is_reply_required": true,
"language": "<string>",
"reason": "<string>",
"object": "<string>"
}
],
"direction": "inbound",
"from_number": "<string>",
"to_number": "<string>",
"status": "draft",
"is_automated": true,
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}sms-threads
Update Sms
Update SMS Draft
Update the body of a draft SMS message. The SMS must be in DRAFT status.
PATCH
/
v2
/
sms-threads
/
messages
/
{sms_id}
Update Sms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request body for updating an SMS draft body.
Updated SMS body text
Response
Successful Response
SMS message within a thread.
The message content
Show child attributes
Show child attributes
Available options:
inbound, outbound The sending phone number
The receiving phone number
Available options:
draft, pending, sent, delivered, failed, undelivered Whether the SMS was automatically sent by a workflow
Twilio error message if delivery failed
String representing the object's type. Objects of the same type share the same value.
